aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rwxr-xr-xtools/test/stress2/misc/mmap3.sh5
1 files changed, 3 insertions, 2 deletions
diff --git a/tools/test/stress2/misc/mmap3.sh b/tools/test/stress2/misc/mmap3.sh
index bc5905dd920e..9175b77842f3 100755
--- a/tools/test/stress2/misc/mmap3.sh
+++ b/tools/test/stress2/misc/mmap3.sh
@@ -42,11 +42,12 @@ while [ `date '+%s'` -lt $((start + 5 * 60)) ]; do
./mmap3
done
echo "Expect Segmentation faults"
+trap "rm -f /tmp/mmap3.0*" EXIT INT
start=`date '+%s'`
while [ `date '+%s'` -lt $((start + 5 * 60)) ]; do
./mmap3 random
done
-rm -f mmap3 mmap3.core /tmp/mmap.0*
+rm -f mmap3 mmap3.core /tmp/mmap3.0*
exit
EOF
@@ -102,7 +103,7 @@ work(int nr)
p = (void *)STARTADDR;
len = ADRSPACE;
- sprintf(path, "/tmp/mmap.%06d.%04d", getpid(), nr);
+ sprintf(path, "/tmp/mmap3.%06d.%04d", getpid(), nr);
if ((fd = open(path, O_CREAT | O_TRUNC | O_RDWR, 0622)) == -1)
err(1,"open()");
if (ftruncate(fd, len) == -1)